Skip to main content
POST
/
api
/
v1
/
integrations
/
link-token
Get Link token for connector authentication
curl --request POST \
  --url https://neo.api.projectdiscovery.io/api/v1/integrations/link-token \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connector_id": "github"
}
'
{
  "expires_at": "2026-01-06T18:30:00Z",
  "link_token": "W6iTS7vf6UX2xF9orRwP2-UutR5I38feJ0H2NAy1DVNTEtPCVyQMmw"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Body

application/json
connector_id
string
required

Connector to authenticate with

Example:

"jira"

origin
string

Origin URL for redirect after authentication

Response

Link token generated successfully

expires_at
string<date-time>
required

When the link token expires

Token to pass to Merge Link component